com.fasterxml.jackson.databind.introspect

## Class AnnotatedFieldCollector

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.AnnotatedFieldCollector

    public class AnnotatedFieldCollector
    extends Object

### Field Summary

Fields
`protected AnnotationIntrospector` `_intr`
`protected static AnnotationMap[]` `NO_ANNOTATION_MAPS`
`protected static Annotation[]` `NO_ANNOTATIONS`

### Method Summary

Methods
`protected static boolean` `_ignorableAnnotation(Annotation a)`
`protected AnnotationCollector` `collectAnnotations(Annotation[] anns)`
`protected AnnotationCollector` `collectAnnotations(AnnotationCollector c, Annotation[] anns)`
`protected AnnotationCollector` `collectDefaultAnnotations(AnnotationCollector c, Annotation[] anns)`
`protected AnnotationCollector` `collectDefaultFromBundle(AnnotationCollector c, Annotation bundle)`
`static List<AnnotatedField>` `collectFields(AnnotationIntrospector intr, TypeResolutionContext tc, ClassIntrospector.MixInResolver mixins, TypeFactory types, JavaType type)`
`protected AnnotationCollector` `collectFromBundle(AnnotationCollector c, Annotation bundle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NO_ANNOTATION_MAPS

    protected static final AnnotationMap[] NO_ANNOTATION_MAPS

#### NO_ANNOTATIONS

    protected static final Annotation[] NO_ANNOTATIONS

#### _intr

    protected final AnnotationIntrospector _intr

### Method Detail

#### collectFields

    public static List<AnnotatedField> collectFields(AnnotationIntrospector intr,
                                     TypeResolutionContext tc,
                                     ClassIntrospector.MixInResolver mixins,
                                     TypeFactory types,
                                     JavaType type)

#### collectAnnotations

    protected final AnnotationCollector collectAnnotations(Annotation[] anns)

#### collectAnnotations

    protected final AnnotationCollector collectAnnotations(AnnotationCollector c,
                                         Annotation[] anns)

#### collectFromBundle

    protected final AnnotationCollector collectFromBundle(AnnotationCollector c,
                                        Annotation bundle)

#### collectDefaultAnnotations

    protected final AnnotationCollector collectDefaultAnnotations(AnnotationCollector c,
                                                Annotation[] anns)

#### collectDefaultFromBundle

    protected final AnnotationCollector collectDefaultFromBundle(AnnotationCollector c,
                                               Annotation bundle)

#### _ignorableAnnotation

    protected static final boolean _ignorableAnnotation(Annotation a)